<?php
	/**************************************************************************************************
	SoftWare : FLV video Player : LinePlayer
	Description : Embed and get/send parameters to flvPlayer.swf
	Content : /
	Author : Delettre Jean-Michel
	CoAuthors : 
	Copyright / Droits d'auteur : Free-Works.Org 
	****************************************************************************************************/
	error_reporting (4) ;	
	//
	/* vars that you can to modify *****************************************************************************/
		$width=640-2; 		// Movie global width : video width + side margin*2;
		$height=480+20; 	// Movie global  height : video height + player's bar height 
		$bgcolor="#222222";
		$bodyBgcolor = "#000000";
		$movie = "flvPlayer"; // internal name of <application>
		$divId = $movie."01"; // 
		$title = "Line-Player";
		
	/***********************************************************************************************************/
	//
	if (count($_GET)>0) {
		$src= $_GET["src"];							// video source - must be set
		$baseUrl= $_GET["baseUrl"];					// Player's Url - must be set only if the player isn't on the same location than html's page
		$modelUrl= $_GET["modelUrl"];				// Model xml file
		$skin= $_GET["skin"];						// Skin - Don't set if using default skin
		$dur= $_GET["dur"];							// Duration Set only if video movie doesn't have correct metadata
		$w= $_GET["w"];								// to force video flv width. But if $w is gt than $width then video's width will be smaller than  $w
		$h = $_GET["h"];							// to force video flv height
		$debug=$_GET["debug"];
	} else if (count($_POST)>0) {
		$src= $_POST["src"];
		$baseUrl= $_POST["baseUrl"];
		$skin= $_POST["skin"];
		$modelUrl= $_POST["modelUrl"];
		$dur= $_POST["dur"];
		$w= $_POST["w"];
		$h= $_POST["h"];
		$debug=$_POST["debug"];
	} 
	/* Spcific vars to modify *****************************************************************************/
	if (!isset($src)) $src = "rtmp://cp37461.edgefcs.net/ondemand/videos/101807fsnseg1&debug=false" ; 
	if (!isset($baseUrl))	$baseUrl= "linePlayer/" ;
	if (!isset($skin))	$skin= "custom/default/skin.xml";
	if (!isset($modelUrl))	$modelUrl= "custom/default/model.xml" ;
	if (!isset($debug))	$debug="false";
	/* **********************************************************************************************************/
	//
	// swf parameters setting
	$tab="\t\t\t\t\t\t";
	$swf = "/* In row below, you have to change the  value of src by your real video's url. */\n";
	$swf.=$tab."so.addVariable('src','$src');\n" ;
	if ($baseUrl != "") 	{
		$swf.= $tab."/* In row below, you have to change the value of baseUrl by the relative url from this page or absolute url, to Line-Player's root folder*/\n";
		$swf.= $tab."so.addVariable('baseUrl','$baseUrl');\n" ;	
	}
	if ($modelUrl != "") 	{
		$swf.= $tab."/* In row below, you may change modelUrl's value only if you want change parameters - see documentation */\n";
		$swf.= $tab."so.addVariable('modelUrl','$modelUrl');\n" ;	
	}
	if ($skin != "") 	{
		$swf.= $tab."/* In row below, you may change skin's value only if you want change Line-Player's skinning - see documentation */\n";
		$swf.= $tab."so.addVariable('skin','$skin');\n" ;	
	}
	if ($w != "") {
		$swf.= $tab."/* In row below, you may change the value of w to modify video's width. */\n";
		$swf.= $tab."so.addVariable('w','$w');\n" ;	
	}
	if ($h != "") 	{
		$swf.= $tab."/* In row below, you may change the value of h to modify video's height. */\n";
		$swf.= $tab."so.addVariable('h','$h');\n" ;		
	}
	if ($dur != "") {
		$swf.= $tab."so.addVariable('dur','$dur');\n" ;		
	}
	if ($debug != "") 	{
		$swf.= $tab."/* In row below, you may change the value of debug by true to display error messages.*/\n";
		$swf.= $tab."so.addVariable('debug','$debug');\n" ;	
	}
	
?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<title><?php echo $title ?></title>
	</head>
	<body bgcolor="<?php echo $bodyBgcolor ?>" >	
		<div style="text-align:center" >
			<!-- BEGIN OF :SWF -->
				<div id="<?php echo $divId ?>" style="width:<?php echo $width ?>;height:<?php echo $height?>;margin-left:auto;margin-right:auto;margin-top:100" ">This text must be replaced by <?php echo $movie ?>.swf </div>
				<script type="text/javascript" language="javascript" src="js/swfobject.js"></script>
				<script type="text/javascript" language="javascript">
						var so = new SWFObject('<?php echo $baseUrl.$movie?>.swf','<?php echo $movie ?>','100%','100%',8,'');
						so.addParam('allowscriptaccess','sameDomain');
						so.addParam('allowfullscreen','true');
						so.addParam('quality','high');
						so.addParam('bgcolor','<?php echo $bgcolor ?>');
						<?php echo $swf ?>
						so.write('<?php echo $divId ?>');
				</script>
			<!-- End OF : SWF -->			
		</div>		
	</body>
</html>
